task freebayes {

    File ref_dir
	File fasta
	File chr_bam
	File chr_bam_bai
	String chromosome
	String half_read_length
	String sample_name
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		freebayes -f ${ref_dir}/${fasta} --genotype-qualities --max-complex-gap ${half_read_length} ${chr_bam} > ${sample_name}_${chromosome}_fb.vcf
	>>>

	runtime {
		docker: docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf = "${sample_name}_${chromosome}_fb.vcf"
	}
}
