task breakChromo {
	File dedup_bam
	File dedup_bam_index
	String chromosome
	String sample_name
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		/opt/conda/bin/samtools view -@ $nt -hb ${dedup_bam} ${chromosome} > ${sample_name}_${chromosome}.bam
		/opt/conda/bin/samtools index ${sample_name}_${chromosome}.bam
	>>>

	runtime {
		docker: docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File chr_bam = "${sample_name}_${chromosome}.bam"
		File chr_bam_bai = "samtools index ${sample_name}_${chromosome}.bam.bai"
	}
}
